API reference
Placement Groups
GET
header
AuthorizationBearer <token>label_selector?stringFilter by labels: env=prod, env!=prod, env (has key), !env; comma = AND
Placement Groups
application/json- response
placement_groups*array<>curl -X GET "https://example.com/placement_groups"{ "placement_groups": [ { "id": 0, "name": "string", "type": "spread", "location": "string", "servers": [ 0 ], "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" } ]}POST
header
AuthorizationBearer <token>application/json- body
name*stringLength
1 <= length <= 64location*stringtype?"spread"Default
"spread"Value in
"spread"labels?Up to 64 key/value pairs; keys and values up to 63 characters
Created
application/json- response
placement_group*action?|nullcurl -X POST "https://example.com/placement_groups" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "location": "string" }'{ "placement_group": { "id": 0, "name": "string", "type": "spread", "location": "string", "servers": [ 0 ], "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" }, "action": { "id": 0, "command": "create_server", "status": "running", "progress": 0, "started": "2019-08-24T14:15:22Z", "finished": "2019-08-24T14:15:22Z", "resources": [ { "id": 0, "type": "server" } ], "error": { "code": "string", "message": "string" } }}GET
header
AuthorizationBearer <token>id*integerFormat
int64PlacementGroup
application/json- response
placement_group*curl -X GET "https://example.com/placement_groups/0"{ "placement_group": { "id": 0, "name": "string", "type": "spread", "location": "string", "servers": [ 0 ], "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" }}DELETE
header
AuthorizationBearer <token>id*integerFormat
int64Deleted
curl -X DELETE "https://example.com/placement_groups/0"Empty
PUT
header
AuthorizationBearer <token>id*integerFormat
int64application/json- body
name?stringLength
1 <= length <= 64labels?Up to 64 key/value pairs; keys and values up to 63 characters
Updated
application/json- response
placement_group*curl -X PUT "https://example.com/placement_groups/0" \ -H "Content-Type: application/json" \ -d '{}'{ "placement_group": { "id": 0, "name": "string", "type": "spread", "location": "string", "servers": [ 0 ], "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" }}